WebSocket
{
"jsonrpc": "2.0",
"id": 2841,
"method": "public/hello",
"params": {
"client_name": "My Trading Software",
"client_version": "1.0.2"
}
}{
"jsonrpc": "2.0",
"id": 2841,
"result": {
"version": "1.2.26"
}
}Supporting
public/hello
Method used to introduce the client software connected to Deribit platform over websocket. Provided data may have an impact on the maintained connection and will be collected for internal statistical purposes. In response, Deribit will also introduce itself. This method is available only over WebSocket; calling it over REST/HTTP returns error 10030 (must_be_websocket_request).
WebSocket
{
"jsonrpc": "2.0",
"id": 2841,
"method": "public/hello",
"params": {
"client_name": "My Trading Software",
"client_version": "1.0.2"
}
}{
"jsonrpc": "2.0",
"id": 2841,
"result": {
"version": "1.2.26"
}
}Query Parameters
Was this page helpful?